Subject: [bug#61010] [PATCH] gnu: Add icewm

From: Andy Tai <[email-masked]>
Date: Wed, 25 Jan 2023 22:02:45 -0800

I just untar'd the

 icewm-3.3.0.tar.lz
(from https://github.com/ice-wm/icewm/releases/download/3.3.0/icewm-3.3.0.tar.lz)

file (not tar.gz file, my bad for bad description before), in a clean
directory, and
the .gmo files are there
/share/software/icewm/icewm-3.3.0$ !find
find . -name *.gmo
./po/zh_CN.gmo
./po/pt_BR.gmo
./po/sk.gmo
./po/en.gmo
...

As we are getting the release tarball as the source, the git repo is
immaterial as far as this icewm version is concerned.

On Wed, Jan 25, 2023 at 2:10 AM Simon Tournier <[email-masked]> wrote:
>
> Hi,
>
> On Tue, 24 Jan 2023 at 23:37, Andy Tai <[email-masked]> wrote:
>
> > This I did not address in the revision because the second .tar.gz is
> > available on the net, satisfying GPL's source requirement... but will
> > revise if Guix policy demands otherwise
>
> I do not understand what you mean.  My point is that these .gmo files
> are generated by the author of the release and they are _not_ included in
> the upstream source code – the Git repository.
>
> For most of the cases, the Guix project tries hard to package only from
> the source code, i.e., build as much as possible from scratch.
>
> Hence, the question: do we re-generate these files?
>
>
> Cheers,
> simon
>
> PS: Indeed, sorry for the typo in my previous message.  I wrote:
>
>     Other said, these files are in the archive tar.gz [2].
>
> when *not* is missing.  I wanted to say:
>
>     Other said, these files are *NOT* in the archive tar.gz [2].

-- 
Andy Tai, [email-masked], Skype: licheng.tai, Line: andy_tai, WeChat: andytai1010
Year 2023 民國112年
自動的精神力是信仰與覺悟
自動的行為力是勞動與技能